<?php
/**
 * @file
 * Views integration for commerce booking tickets.
 */

/**
 * Implements hook_views_data().
 */
function commerce_booking_views_data_alter(&$data) {
  $ticket_fields = &$data['commerce_booking_ticket'];

  // Field for ticket balance.
  $ticket_fields['balance'] = array(
    'title' => t('Balance'),
    'help' => t('Show the ticket balance.'),
    'field' => array(
      'real field' => 'ticket_id',
      'handler' => 'commerce_booking_ticket_ticket_balance',
    ),
  );

  // Field for ticket amount paid.
  $ticket_fields['amount_paid'] = array(
    'title' => t('Amount Paid'),
    'help' => t('Show the amount paid towards tickets.'),
    'field' => array(
      'real field' => 'ticket_id',
      'handler' => 'commerce_booking_ticket_ticket_amount_paid',
    ),
  );

  // Ticket edit modal link.
  $ticket_fields['edit_modal'] = array(
    'title' => t('Edit Link (Modal)'),
    'help' => t('Show a link to the ticket edit modal.'),
    'field' => array(
      'real field' => 'ticket_id',
      'handler' => 'commerce_booking_ticket_ticket_edit_link_modal',
    ),
  );
}
